## TeplPanelSwitcherMenu TeplPanelSwitcherMenu — A controller for TeplPanelContainer |

## Functions

TeplPanelSwitcherMenu * | tepl_panel_switcher_menu_new ()

## Types and Values

struct | TeplPanelSwitcherMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── TeplPanelSwitcherMenu

## Implemented Interfaces

TeplPanelSwitcherMenu implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <tepl/tepl.h>

## Description

Similar to GtkStackSwitcher, but for a TeplPanelContainer.

This switcher widget is suitable to be put in a GtkHeaderBar, to choose the component of a side panel (for example).

## Functions

### tepl_panel_switcher_menu_new ()

    TeplPanelSwitcherMenu *
    tepl_panel_switcher_menu_new (TeplPanelContainer *panel);

#### Parameters

panel | a TeplPanelContainer. |

#### Returns

a new TeplPanelSwitcherMenu widget.

[transfer floating]

Since: 6.8

## Types and Values

### struct TeplPanelSwitcherMenu

    struct TeplPanelSwitcherMenu;